package org.omg.DynamicAny;

import java.io.Serializable;
import org.omg.CORBA.Object;
import org.omg.DynamicAny.DynAnyPackage.InvalidValue;
import org.omg.CORBA.Any;
import org.omg.DynamicAny.DynAnyPackage.TypeMismatch;
import org.omg.CORBA.TypeCode;

public interface DynAnyOperations
{
    public abstract TypeCode type();
    
    public abstract void assign(DynAny p0) throws TypeMismatch;
    
    public abstract void from_any(Any p0) throws TypeMismatch, InvalidValue;
    
    public abstract Any to_any();
    
    public abstract boolean equal(DynAny p0);
    
    public abstract void destroy();
    
    public abstract DynAny copy();
    
    public abstract void insert_boolean(boolean p0) throws TypeMismatch, InvalidValue;
    
    public abstract void insert_octet(byte p0) throws TypeMismatch, InvalidValue;
    
    public abstract void insert_char(char p0) throws TypeMismatch, InvalidValue;
    
    public abstract void insert_short(short p0) throws TypeMismatch, InvalidValue;
    
    public abstract void insert_ushort(short p0) throws TypeMismatch, InvalidValue;
    
    public abstract void insert_long(int p0) throws TypeMismatch, InvalidValue;
    
    public abstract void insert_ulong(int p0) throws TypeMismatch, InvalidValue;
    
    public abstract void insert_float(float p0) throws TypeMismatch, InvalidValue;
    
    public abstract void insert_double(double p0) throws TypeMismatch, InvalidValue;
    
    public abstract void insert_string(String p0) throws TypeMismatch, InvalidValue;
    
    public abstract void insert_reference(org.omg.CORBA.Object p0) throws TypeMismatch, InvalidValue;
    
    public abstract void insert_typecode(TypeCode p0) throws TypeMismatch, InvalidValue;
    
    public abstract void insert_longlong(long p0) throws TypeMismatch, InvalidValue;
    
    public abstract void insert_ulonglong(long p0) throws TypeMismatch, InvalidValue;
    
    public abstract void insert_wchar(char p0) throws TypeMismatch, InvalidValue;
    
    public abstract void insert_wstring(String p0) throws TypeMismatch, InvalidValue;
    
    public abstract void insert_any(Any p0) throws TypeMismatch, InvalidValue;
    
    public abstract void insert_dyn_any(DynAny p0) throws TypeMismatch, InvalidValue;
    
    public abstract void insert_val(Serializable p0) throws TypeMismatch, InvalidValue;
    
    public abstract boolean get_boolean() throws TypeMismatch, InvalidValue;
    
    public abstract byte get_octet() throws TypeMismatch, InvalidValue;
    
    public abstract char get_char() throws TypeMismatch, InvalidValue;
    
    public abstract short get_short() throws TypeMismatch, InvalidValue;
    
    public abstract short get_ushort() throws TypeMismatch, InvalidValue;
    
    public abstract int get_long() throws TypeMismatch, InvalidValue;
    
    public abstract int get_ulong() throws TypeMismatch, InvalidValue;
    
    public abstract float get_float() throws TypeMismatch, InvalidValue;
    
    public abstract double get_double() throws TypeMismatch, InvalidValue;
    
    public abstract String get_string() throws TypeMismatch, InvalidValue;
    
    public abstract org.omg.CORBA.Object get_reference() throws TypeMismatch, InvalidValue;
    
    public abstract TypeCode get_typecode() throws TypeMismatch, InvalidValue;
    
    public abstract long get_longlong() throws TypeMismatch, InvalidValue;
    
    public abstract long get_ulonglong() throws TypeMismatch, InvalidValue;
    
    public abstract char get_wchar() throws TypeMismatch, InvalidValue;
    
    public abstract String get_wstring() throws TypeMismatch, InvalidValue;
    
    public abstract Any get_any() throws TypeMismatch, InvalidValue;
    
    public abstract DynAny get_dyn_any() throws TypeMismatch, InvalidValue;
    
    public abstract Serializable get_val() throws TypeMismatch, InvalidValue;
    
    public abstract boolean seek(int p0);
    
    public abstract void rewind();
    
    public abstract boolean next();
    
    public abstract int component_count();
    
    public abstract DynAny current_component() throws TypeMismatch;
}
